Bug 497157 - Help documentation wrong for systemgroup.listAllGroups
Help documentation wrong for systemgroup.listAllGroups
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API (Show other bugs)
RHN Devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
us=86777
: Reopened
Depends On: 498327
Blocks: rhn-sprint22
  Show dependency treegraph
 
Reported: 2009-04-22 11:23 EDT by Stephen Herr
Modified: 2009-05-01 15:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 13:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2009-04-22 11:23:06 EDT
Description of problem:
systemgroup.listAllGroups claims it takes sessionkey and systemgroupid as parameters. In fact it only takes (and only should take) sessionkey.

Steps to Reproduce:
1. Take a gander at https://rhn.webdev.redhat.com/rhn/apidoc/systemgroup/ServerGroupHandler.jsp#listAllGroups
Comment 1 Sebastian Skracic 2009-04-24 13:30:20 EDT
Javadoc fixed in 001be905d3fd523875e1f016b6d00f79c99cd7b7.
Comment 2 Stephen Herr 2009-04-29 15:25:02 EDT
verified
Comment 3 Stephen Herr 2009-04-29 16:58:46 EDT
oops, this one's not verified yet, builder won't build api docs
Comment 4 Stephen Herr 2009-04-30 13:33:13 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.